%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/containerd/typeurl
Version:                1.0.2
%global commit          51c73560a98c0f653de12efa8213b5b28cb580ed

%gometa

%global common_description %{expand:
A Go package for managing the registration, marshaling, and unmarshaling of
encoded types.

This package helps when types are sent over a GRPC API and marshaled as a
protobuf.Any.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Go package for managing marshaled types to protobuf.Any

License:        Apache-2.0
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Fri Sep 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.2-1
- initial build
